GtkDatabox A set of GTK+ widgets to display large amounts of numerical data quickly and easily.

- Main Page
- Data Structures
- Files

- File List
- Globals

Enumerations | Functions
gtk/gtkdatabox_scale.h File Reference
`#include <glib-object.h>`
Include dependency graph for gtkdatabox_scale.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Enumerations

enum | GtkDataboxScaleType { GTK_DATABOX_SCALE_LINEAR = 0, GTK_DATABOX_SCALE_LOG2, GTK_DATABOX_SCALE_LOG }

## Functions

GType | gtk_databox_scale_type_get_type (void)

## Detailed Description

Currently just an enumeration used in several places...

## Enumeration Type Documentation

enum GtkDataboxScaleType

GtkDataboxScaleType: : Linear scale : Logarithmic scale (base 10)

Scale type for GtkDatabox and GtkDataboxRuler objects.

See also: GtkDatabox:scale_type_x, GtkDatabox:scale_type_y

Enumerator:

  GTK_DATABOX_SCALE_LINEAR |
  GTK_DATABOX_SCALE_LOG2 |
  GTK_DATABOX_SCALE_LOG |

## Function Documentation

GType gtk_databox_scale_type_get_type | ( | void |  | ) |

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines